/// <reference types="node" />
export declare enum CertificateFormat {
    PEM = "PEM",
    DER = "DER"
}
export declare class PkiService {
    private readonly cryptoPrimitives;
    constructor();
    validateChain(certs: Buffer, format?: CertificateFormat): Promise<boolean>;
    validateHostname(certs: Buffer, hostnameOrIp: string, format?: CertificateFormat): Promise<boolean>;
}
